Bug 970027 (CVE-2013-2088) - CVE-2013-2088 subversion: Improper sanitization of arguments of certain hook scripts might lead to arbitrary code execution
Summary: CVE-2013-2088 subversion: Improper sanitization of arguments of certain hook ...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2013-2088
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 970043
Blocks: 970062
TreeView+ depends on / blocked
 
Reported: 2013-06-03 11:02 UTC by Jan Lieskovsky
Modified: 2021-02-17 07:39 UTC (History)
2 users (show)

Fixed In Version: Subversion 1.6.23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-04 07:19:46 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2013-06-03 11:02:40 UTC
A security flaw was found in the way Subversion, a concurrent version control system, sanitized content of arguments passed to 'check-mime-type.pl' and 'svn-keyword-check.pl' hook scripts. A remote, authenticated attacker could provide a specially-crafted filename that if inspected by some of the aforementioned two scripts, would lead to arbitrary code execution with the privileges of the user running Subversion client.

References:
[1] http://subversion.apache.org/security/CVE-2013-2088-advisory.txt

Announcement:
[2] http://mail-archives.apache.org/mod_mbox/subversion-dev/201305.mbox/%3CCADkdwvTxsMFeHgc8bK2V-2PrSrKoBffTi8+xbHA5tocrrewWew@mail.gmail.com%3E
    (1.6.23)

Comment 2 Jan Lieskovsky 2013-06-03 11:21:21 UTC
Created subversion tracking bugs for this issue

Affects: fedora-all [bug 970043]

Comment 3 Jan Lieskovsky 2013-06-03 11:50:50 UTC
Upstream patch:
  http://svn.apache.org/viewvc?view=revision&revision=1485487

Comment 4 Huzaifa S. Sidhpurwala 2013-06-04 07:12:54 UTC
This security flaw exists in the 'check-mime-type.pl' and 'svn-keyword-check.pl' contrib scripts of subversion. The version of subversion shipped with Red Hat Enterprise Linux 5 and 6 does not ship these scripts.

Comment 5 Huzaifa S. Sidhpurwala 2013-06-04 07:18:17 UTC
Statement:

Not Vulnerable. This issue does not affect the version of subversion as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 6 Huzaifa S. Sidhpurwala 2013-06-04 07:19:46 UTC
This issue does not affect the version of subversion as shipped with Fedora 17 and Fedora 18.


Note You need to log in before you can comment on or make changes to this bug.